#include <stdio.h>
#define MERET 2

int szoroz(int m,int *v1, int *v2)
{
	int Sum = 0;
	for (int i=0; i<m; i++)
		Sum += v1[i]*v2[i];
	return Sum;
}

void main(void)
{
	int x[MERET],y[MERET],a;
	printf("Kérem az X vektort:\n");
	for (int i=0; i<MERET; i++)
	{
		printf("X[%d]=",i);
		scanf("%d",&x[i]);
	}
	printf("Kérem az Y vektort:\n");
	for (i=0; i<MERET; i++)
	{
		printf("X[%d]=",i);
		scanf("%d",&y[i]);
	}
	printf("A szorzat:%d\n",szoroz(MERET,x,y));
}